Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2019-02198, UID# 2739
App. Status: Expired

Valid: 11/24/2019 - 11/27/2019
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2454 (11/24/2019)

Charge Cost Quantity Total
Non-Taxable
added 11/25/2019 8:01 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 11/24/2019 8:30 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $60.00
Payment 01/27/2020$60.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantTroy Ohlhausen - 11/24/2019 8:34 AM
36a80e4b917d1e3593b2982bd63aaeca
69111d6ac5d52fc4b6dba02adf274c4b
 
#1 Permit Issuing OfficialRachel Grimm - 11/25/2019 8:04 AM
569e1191462c6901b0440b7f8f9b09b5
e00dd8e20dca1ee10e5960155d7610d8
 
Permit has been approved. All signatures have been obtained.